APT-KEY(8)

NAME
apt-key - APT key management utility

SYNOPSIS

apt-key [--keyring filename] [command] [arguments...]

DESCRIPTION

apt-key is used to manage the list of keys used by apt to authenticate packages. Packages which have been authenticated using these keys will be considered trusted.

COMMANDS

add filename
    Add a new key to the list of trusted keys. The key is read from filename, or standard input if filename is -.

del keyid
    Remove a key from the list of trusted keys.

export keyid
    Output the key keyid to standard output.

exportall
    Output all trusted keys to standard output.

list
    List trusted keys.

finger
    List fingerprints of trusted keys.

adv
    Pass advanced options to gpg. With adv --recv-key you can download the public key.

update
    Update the local keyring with the keyring of Debian archive keys and removes from the keyring the archive keys which are no longer valid.

OPTIONS

Note that options need to be defined before the commands described in the previous section.

--keyring filename
    With this option it is possible to specify a specific keyring file the command should operate on. The default is that a command is executed on the trusted.gpg file as well as on all parts in the trusted.gpg.d directory, through trusted.gpg is the primary keyring which means that e.g. new keys are added to this one.

FILES

/etc/apt/trusted.gpg
    Keyring of local trusted keys, new keys will be added here. Configuration Item: Dir::Etc::Trusted.

/etc/apt/trusted.gpg.d/
    File fragments for the trusted keys, additional keyrings can be stored here (by other packages or the administrator). Configuration Item Dir::Etc::TrustedParts.

/etc/apt/trustdb.gpg
    Local trust database of archive keys.

/usr/share/keyrings/debian-archive-keyring.gpg
    Keyring of Debian archive trusted keys.

/usr/share/keyrings/debian-archive-removed-keys.gpg
    Keyring of Debian archive removed trusted keys.

SEE ALSO

apt-get(8), apt-secure(8)

BUGS

APT bug page[1]. If you wish to report a bug in APT, please see /usr/share/doc/debian/bug-reporting.txt or the reportbug(1) command.

AUTHOR

APT was written by the APT team apt@packages.debian.org.

AUTHOR

Jason Gunthorpe

COPYRIGHT
Copyright © 1998-2001 Jason Gunthorpe

NOTES

1.  APT bug page
    http://bugs.debian.org/src:apt